Package openlink.util

## Class BaseMessage

- java.lang.Object
- - openlink.util.BaseMessage

    public abstract class BaseMessage
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `defaultMessage`
`static java.lang.String` `err_Prefix`
`protected java.lang.String` `msgPrefix`
`static java.lang.String` `NO_MESSAGE`
`protected java.util.ResourceBundle` `rb`
`static java.lang.String` `RESBUNDLE_NOTFOUND`
`static java.lang.String` `S_GENERAL_ERR`

### Constructor Summary

Constructors
`BaseMessage​()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected java.lang.String` `getBundle​(java.lang.String s)`
`protected void` `init​(java.lang.String resourceFile)`
`static java.sql.SQLException` `makeException​(java.lang.Exception e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESBUNDLE_NOTFOUND

    public static final java.lang.String RESBUNDLE_NOTFOUND

See Also:
  Constant Field Values

#### NO_MESSAGE

    public static final java.lang.String NO_MESSAGE

See Also:
  Constant Field Values

#### S_GENERAL_ERR

    public static final java.lang.String S_GENERAL_ERR

See Also:
  Constant Field Values

#### rb

    protected java.util.ResourceBundle rb

#### defaultMessage

    protected java.lang.String defaultMessage

#### msgPrefix

    protected java.lang.String msgPrefix

#### err_Prefix

    public static final java.lang.String err_Prefix

See Also:
  Constant Field Values

### Constructor Detail

#### BaseMessage

    public BaseMessage​()

### Method Detail

#### init

    protected void init​(java.lang.String resourceFile)

#### getBundle

    protected java.lang.String getBundle​(java.lang.String s)

#### makeException

    public static java.sql.SQLException makeException​(java.lang.Exception e)